Shape currentShape; // aktuell angezeigte Figur

void setup() {
  size(600, 200);
}

void draw() {
  background(130); 

  if (currentShape == null || currentShape.yPos > height) {
    // falls keine Figur oder am Ende des Bildschirms, lege neue Figur an
    currentShape = create();
    println(currentShape.calculateArea()); // Flaeche ausgeben
  }

  currentShape.move(); // Bewegen
  currentShape.display(); // Zeichnen
}

// Erstelle eine Figur von zufaelligem Typ und Groesse
Shape create() {
  Shape newShape = null;
  int shapeType = (int)random(0, 3); // 0 Viereck, 1 Dreieck, 2 Kreis
  float size = random(0, 100); // Groesse zufaellig
  if (shapeType==0) { // wenn Viereck
    newShape = new Square(size);
  } else if (shapeType == 1) { // wenn Dreieck
    newShape = new Triangle(size);
  } else { // wenn Kreis
    // TODO: hier Kreis erzeugen!
    return currentShape; // TODO: entfernt diese Zeile
  }
  return newShape;
}